Bug 17121 - debian/control.in update: change maintainer for 3.22.x
Summary: debian/control.in update: change maintainer for 3.22.x
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: 3.22
Hardware: All All
: P5 - low normal (vote)
Assignee: Mirko Tietgen
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17111
  Show dependency treegraph
 
Reported: 2016-08-13 11:44 UTC by Mirko Tietgen
Modified: 2017-06-14 22:10 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17121 - debian/control.in update: change maintainer for 3.22.x (1.12 KB, patch)
2016-08-13 11:46 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-08-13 11:44:01 UTC
Changing the package maintainer and removing a whitespace in debian/control.in.

The version for 3.22 does not include libhtml-parser-perl because bug 16971 is not pushed to 3.22 yet.
Comment 1 Mirko Tietgen 2016-08-13 11:46:34 UTC
Created attachment 54423 [details] [review]
Bug 17121 - debian/control.in update: change maintainer for 3.22.x

Changing the package maintainer and removing a whitespace in
debian/control.in.
Comment 2 Mirko Tietgen 2016-08-14 11:38:46 UTC
This is a patch for 3.22.x! To test:

git checkout -b bug_17121 origin/3.22.x
debian/update-control
git diff

The result of git diff should be two changes in debian/control:

1) The maintainer line

-Maintainer: Galen Charlton <gmcharlt@gmail.com>
+Maintainer: Mirko Tietgen <mirko@abunchofthings.net>

2) A deleted trailing whitespace

- perl-modules, 
+ perl-modules,
Comment 3 Chris Cormack 2016-09-05 10:51:55 UTC
Mirko bug 16971 is in 3.22.x now, did you want to update this patch?
Comment 5 Mirko Tietgen 2016-09-18 10:38:15 UTC
(In reply to Chris Cormack from comment #3)
> Mirko bug 16971 is in 3.22.x now, did you want to update this patch?

libhtml-parser-perl got pushed with bug 16788, no update needed.
Comment 6 Mark Tompsett 2016-09-23 00:36:33 UTC
(In reply to Mirko Tietgen from comment #2)
[SNIP]
> The result of git diff should be two changes in debian/control:
[SNIP]

This test plan works for debian/control.in, but following build instructions from https://wiki.koha-community.org/wiki/Building_Debian_Packages_-_The_Easy_Way would mean you should make the same change to the debian/control not just debian/control.in, which this patch has. I'm not sure how the .in progresses to the non-in version, so I can't sign this off.
Comment 7 Mirko Tietgen 2016-09-23 05:10:43 UTC
Thanks for testing! Changes to debian/control are in bug 17111, which is (will be) generated automatically when there are changes. This bug is only about having the change in the control.in file. Please sign off.
Comment 8 Julian Maurice 2016-09-23 07:20:24 UTC
This is really a trivial patch. I'm preparing the 3.22.11 release, and it would be a shame to wait another month for this. So patch signed off, passed QA and pushed to 3.22.x all at once !
Comment 9 Mark Tompsett 2016-09-23 10:43:39 UTC
(In reply to Julian Maurice from comment #8)
> This is really a trivial patch. I'm preparing the 3.22.11 release, and it
> would be a shame to wait another month for this. So patch signed off, passed
> QA and pushed to 3.22.x all at once !

I would have signed off, given Mirko's reply. :P But now, I'll go sign off 17111 instead. :)